NIP-03
======

OpenTimestamps Attestations for Events
--------------------------------------

`draft` `optional` `author:fiatjaf`

When there is an OTS available it MAY be included in the existing event body under the `ots` key:

```
{
  id: ...,
  kind: ...,
  ...,
  ...,
  ots: <base64-encoded OTS file data>
}
```

The _event id_ MUST be used as the raw hash to be included in the OpenTimestamps merkle tree.

The attestation can be either provided by relays automatically (and the OTS binary contents just appended to the events it receives) or by clients themselves when they first upload the event to relays — and used by clients to show that an event is really "at least as old as [OTS date]".
